Şablonları listele
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "778899001122",
"name": "order_update",
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order is on its way."
}
]
},
{
"id": "778899001123",
"name": "diwali_offer",
"language": "en",
"status": "APPROVED",
"category": "MARKETING",
"components": [
{
"type": "BODY",
"text": "Flat {{1}} off this Diwali."
}
]
}
],
"paging": {
"cursors": {
"before": "MAZDZD",
"after": "MjQZD"
},
"next": "https://graph.facebook.com/v25.0/1029384756/message_templates?after=MjQZD"
}
}Şablonlar
Şablonları listele
Şablonları listele. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.
GET
/
meta
/
wabas
/
{wabaId}
/
templates
Şablonları listele
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "778899001122",
"name": "order_update",
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order is on its way."
}
]
},
{
"id": "778899001123",
"name": "diwali_offer",
"language": "en",
"status": "APPROVED",
"category": "MARKETING",
"components": [
{
"type": "BODY",
"text": "Flat {{1}} off this Diwali."
}
]
}
],
"paging": {
"cursors": {
"before": "MAZDZD",
"after": "MjQZD"
},
"next": "https://graph.facebook.com/v25.0/1029384756/message_templates?after=MjQZD"
}
}Yetkilendirmeler
Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli tutulmalıdır.
Yol Parametreleri
GET /meta/phone-numbers tarafından döndürülen WhatsApp Business hesabı kimliği.
Sorgu Parametreleri
Döndürülecek en fazla öğe sayısı.
Gerekli aralık:
x >= 1Önceki yanıttaki Meta sayfalama imleci.
Kaynağı filtrelemek veya tanımlamak için kullanılan ad.
Sonuçları filtrelemek için kullanılan Meta durumu.
Virgülle ayrılmış Graph API alanları.
Yanıt
200 - application/json
Page returned
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Invalid query parameter or fields expression | Correct the query |
502 | Graph unreachable or timed out | Retry with backoff |
Bu sayfa yararlı mıydı?